optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputStage.RasterScan Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.RasterScan:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x70 | channel
dict | unit
dict | run
dict | number_of_lines
dict | slow_axis_range
dict | fast_axis_range
dict | orientation
dict | frequency
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Raster Scan
    System ID: 0x70 through 0x77

    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    | Register Name    | Id   | Type        | Unit    | Range        | Default | Comment                        |
    +==================+======+=============+=========+==============+=========+================================+
    | run              | 0x01 | uint 32-bit | bool    | True / False | 0       |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |number_of_lines   | 0x02 | uint 32-bit | None    |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |slow_axis_range   | 0x03 | float 32-bit| Degrees |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |fast_axis_range   | 0x04 | float 32-bit| Degrees |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |orientation       | 0x05 | uint 32-bit | None    | [0, 1]       | 0       | 0 – horizontal, 1 – vertical   |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |frequency         | 0x06 | float 32-bit| Hz      |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.RasterScan.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoKummenberg.registers.InputStage.RasterScan.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputStage.RasterScan._readonly = False
| protected

## ◆ fast_axis_range

dict optoKummenberg.registers.InputStage.RasterScan.fast_axis_range

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': 'Degree',
'range': [0, 2],
'default': 0,
'value': 0.0}

## ◆ frequency

dict optoKummenberg.registers.InputStage.RasterScan.frequency

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': float,
'unit': 'Hz',
'range': None,
'default': 0,
'value': 0.0}

## ◆ number_of_lines

dict optoKummenberg.registers.InputStage.RasterScan.number_of_lines

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': int,
'unit': None,
'range': [0, 2],
'default': 0,
'value': 0.0}

## ◆ orientation

dict optoKummenberg.registers.InputStage.RasterScan.orientation

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': bool,
'unit': None,
'range': {0: 'Horizontal', 1: 'Vertical'},
'default': 0,
'value': 0.0}

## ◆ run

dict optoKummenberg.registers.InputStage.RasterScan.run

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': bool,
'unit': None,
'range': [True, False],
'default': 0,
'value': 0.0}

## ◆ slow_axis_range

dict optoKummenberg.registers.InputStage.RasterScan.slow_axis_range

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': 'Degree',
'range': [0, 2],
'default': 0,
'value': 0.0}

## ◆ sys_id

int optoKummenberg.registers.InputStage.RasterScan.sys_id = 0x70 | channel

## ◆ unit

dict optoKummenberg.registers.InputStage.RasterScan.unit

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': {0: 'Current', 1: 'OF', 2: 'XY'},
'default': 1,
'value': 1}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py